Product comparison · 2 network switches

D-Link 8-Port Desktop Gigabit PoE+ Switch vs EnGenius EWS2910P-Kit-300 Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Grey

Add a product
  • 24specifications compared
  • 18differ
  • 6identical
  • 45known for one product only

Key differences

  • Switch type
    • 8-Port Desktop Gigabit PoE+ Switch:Unmanaged
    • EWS2910P-Kit-300 Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Grey:Managed
  • Installed SFP modules quantity
    • 8-Port Desktop Gigabit PoE+ Switch:0
    • EWS2910P-Kit-300 Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Grey:2
  • Switching capacity
    • 8-Port Desktop Gigabit PoE+ Switch:16 Gbit/s
    • EWS2910P-Kit-300 Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Grey:20 Gbit/s
  • Product colour
    • 8-Port Desktop Gigabit PoE+ Switch:Black
    • EWS2910P-Kit-300 Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Grey:Grey
  • Power consumption (typical)
    • 8-Port Desktop Gigabit PoE+ Switch:13.5 W
    • EWS2910P-Kit-300 Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Grey:15 W
  • Total Power over Ethernet (PoE) budget
    • 8-Port Desktop Gigabit PoE+ Switch:140 W
    • EWS2910P-Kit-300 Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Grey:61.6 W
  • Operating temperature (T-T)
    • 8-Port Desktop Gigabit PoE+ Switch:0 - 40 °C
    • EWS2910P-Kit-300 Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Grey:0 - 50 °C
  • Storage temperature (T-T)
    • 8-Port Desktop Gigabit PoE+ Switch:-10 - 70 °C
    • EWS2910P-Kit-300 Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Grey:-40 - 70 °C

Side by side

Differences highlightedShow differences only (off)
Comparison of DGS-1008MP, EWS2910P-Kit-300
69 specifications
Management features1 differ
Switch typeDiffersUnmanagedManaged
Switch layerKnown for oneUnknown — not stated by the sourceL2
Web-based managementKnown for oneUnknown — not stated by the sourceYes
MIB supportKnown for oneUnknown — not stated by the sourceRFC1213, RFC1493, RFC1757, RFC2674
Ports & interfaces1 differ
Basic switching RJ-45 Ethernet ports quantity88
Basic switching RJ-45 Ethernet ports typeGigabit Ethernet (10/100/1000)Gigabit Ethernet (10/100/1000)
Installed SFP modules quantityDiffers02
Installed SFP+ modules quantityKnown for oneUnknown — not stated by the source0
Console portKnown for oneUnknown — not stated by the sourceRJ-45
Power connectorKnown for oneUnknown — not stated by the sourceDC-in jack
Network1 differ
Networking standardsDiffersIEEE 802.3ab, IEEE 802.3at, IEEE 802.3az, IEEE 802.3i, IEEE 802.3u, IEEE 802.3xIEEE 802.1D, IEEE 802.1s, IEEE 802.1w, IEEE 802.3, IEEE 802.3ab, IEEE 802.3ad, IEEE 802.3af, IEEE 802.3az, IEEE 802.3u
Full duplexKnown for oneYesUnknown — not stated by the source
Auto MDI/MDI-XKnown for oneYesUnknown — not stated by the source
Data transmission1 differ
MAC address tableKnown for one8000 entriesUnknown — not stated by the source
Switching capacityDiffers16 Gbit/s20 Gbit/s
Store-and-forwardKnown for oneYesUnknown — not stated by the source
Packet forwarding rate (1 Gbps)Known for one14880 ppsUnknown — not stated by the source
Packet forwarding rate (10 Mbps)Known for one1488000 ppsUnknown — not stated by the source
Packet forwarding rate (100 Mbps)Known for one148800 ppsUnknown — not stated by the source
Packet buffer memoryKnown for one0.192 MBUnknown — not stated by the source
Design1 differ
Rack mountingYesYes
Form factor1U1U
Product colourDiffersBlackGrey
LED indicatorsYesYes
Power1 differ
AC input voltageKnown for one100 - 240 VUnknown — not stated by the source
AC input frequencyKnown for one50 - 60 HzUnknown — not stated by the source
Power consumption (typical)Differs13.5 W15 W
Output voltageKnown for oneUnknown — not stated by the source48 V
Output currentKnown for oneUnknown — not stated by the source1.75 A
Power over Ethernet (PoE)1 differ
Power over Ethernet (PoE)YesYes
Power over Ethernet plus (PoE+) ports quantityKnown for one8Unknown — not stated by the source
Total Power over Ethernet (PoE) budgetDiffers140 W61.6 W
Power over Ethernet (PoE) ports quantityKnown for oneUnknown — not stated by the source8
Operational conditions3 differ
Operating temperature (T-T)Differs0 - 40 °C0 - 50 °C
Storage temperature (T-T)Differs-10 - 70 °C-40 - 70 °C
Operating relative humidity (H-H)Differs0 - 95%5 - 95%
Storage relative humidity (H-H)Known for one5 - 95%Unknown — not stated by the source
Weight & dimensions4 differ
WidthDiffers280 mm105 mm
DepthDiffers180 mm240 mm
HeightDiffers44 mm27 mm
WeightDiffers1.84 kg620 g
Packaging data4 differ
Package widthDiffers262 mm168 mm
Package depthDiffers391 mm271 mm
Package heightDiffers102 mm85 mm
Package weightDiffers2.85 kg1.5 kg
Wall mounting kitKnown for oneUnknown — not stated by the sourceYes
Technical detailsidentical
Master (outer) cases per pallet (air)Known for one36 pc(s)Unknown — not stated by the source
Master (outer) cases per pallet (sea)Known for one36 pc(s)Unknown — not stated by the source
Pallet gross lengthKnown for one110 cmUnknown — not stated by the source
Pallet gross weight (air)Known for one563.8 kgUnknown — not stated by the source
Pallet gross weight (sea)Known for one563.8 kgUnknown — not stated by the source
Pallet gross widthKnown for one120 cmUnknown — not stated by the source
Pallet height (air)Known for one193.5 cmUnknown — not stated by the source
Pallet height (sea)Known for one193.5 cmUnknown — not stated by the source
Products per pallet (air)Known for one180 pc(s)Unknown — not stated by the source
Products per pallet (sea)Known for one180 pc(s)Unknown — not stated by the source
Products per shipping (inner) caseKnown for one5 pc(s)Unknown — not stated by the source
Shipping (inner) case gross weightKnown for one15.3 kgUnknown — not stated by the source
Shipping (inner) case heightKnown for one28.5 cmUnknown — not stated by the source
Shipping (inner) case lengthKnown for one54.5 cmUnknown — not stated by the source
Shipping (inner) case net weightKnown for one14.2 kgUnknown — not stated by the source
Shipping (inner) case widthKnown for one40.6 cmUnknown — not stated by the source
Logistics dataidentical
Harmonized System (HS) codeKnown for one85176990Unknown — not stated by the source
Securityidentical
IGMP snoopingKnown for oneUnknown — not stated by the sourceYes
Security algorithmsKnown for oneUnknown — not stated by the sourceWEP, WPA, WPA2
Performanceidentical
Internal memoryKnown for oneUnknown — not stated by the source256 MB
Flash memoryKnown for oneUnknown — not stated by the source32 MB
Packaging contentidentical
Cables includedKnown for oneUnknown — not stated by the sourceAC
Quick start guideKnown for oneUnknown — not stated by the sourceYes

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More network switch comparisons

All network switch comparisons